import {GetDataByPath, PostDataByPath} from "./api.ts";

export class LoginInfo {
    username: string = "";
    password: string = "";

    static Create() {
        return new LoginInfo("", "");
    }

    constructor(username: string, password: string) {
        this.username = username;
        this.password = password;
    }
}

export function arkLogin(info: LoginInfo) {
    return PostDataByPath("/login", info);
}

export function ReplayConfig() {
    return GetDataByPath("/replay");
}
